Error message

  • Warning: count(): Parameter must be an array or an object that implements Countable in antispam_user_load() (line 1545 of /var/www/html/sites/all/modules/antispam/antispam.module).
  • Deprecated function: The each() function is deprecated. This message will be suppressed on further calls in menu_set_active_trail() (line 2405 of /var/www/html/includes/menu.inc).

Blogs

Unidentified Ants

  • Posted on: 30 December 2004
  • By: agittins

Found some ants under a bin out in the yard today. Not being any type of entymologist myself (nor even being able to spell it correctly) I decided to photograph them for the DPI (Department of Primary Industries) to identify, in case they are the dreaded fireants. With no further ado, the photos (all graduations are in mm).

Building Perl-Tk on Fedora x86_64

  • Posted on: 25 May 2004
  • By: agittins

Update: Better than building from source, AT-rpms has a perl-Tk rpm in their yum repository - this is a far cleaner method of installing Tk. Add the following to your /etc/yum.conf:

[at-stable]
name=ATrpms for Fedora Core $releasever stable
#baseurl=http://apt.physik.fu-berlin.de/fedora/$releasever/en/$basearch/at-stable/
baseurl=http://apt.atrpms.net/fedora/$releasever/en/$basearch/at-stable

FC1 to FC2 upgrade Just Works(tm) with x86_64

  • Posted on: 24 May 2004
  • By: agittins

Wow. I just whacked in the Fedora Core 2 x86_64 DVD, went through the upgrade steps, rebooted, and everything just worked. Could not believe it.

Despite all the hoopla around regarding 4k stacks and the nvidia binary drivers, this is not an issue on amd64. I've heard that the 64-bit kernel in FC2 still uses 9k stacks, but I've not found out for sure if that's exactly why, or if it's something else. So far alsa seems to be working (I got it running on a 2.6 kernel with FC1, so perhaps I avoided some pain here since I was already configured for it), now we'll see if I can get jackd to build without core dumping when it tries to set the sample rate.

Printing from a Windows box via samba to CUPS

  • Posted on: 8 April 2004
  • By: agittins

This little fix had me stumped for several hours. From a windows box, printing to a samba server using CUPS gives no joy. Windows has it's own drivers, so it will send raw printer instructions to CUPS, expecting these to be passed directly to the printer. CUPS usually expects to be able to do the data conversion itself using it's drivers, using a set of mime-types to recognise incoming jobs, and translating them to the proper printer language on the way, be it postscript, bubblespeak or whatever your particular paper-chomping animal speaks. CUPS seems to ship (on RedHat / Fedora at least) without support for application/octet-stream support. Is it just me, or is octet really hard to type?

Kernel 2.6, Fedora, and ECN - or "Why do I get connection refused / timed out on website so-and-so?"

  • Posted on: 8 April 2004
  • By: agittins

People too slack to run a decent firewall (like whoever carries the traffic between me and www.news.com.au) won't be getting too many hits from Fedora users who have updated to kernel 2.6. Unless said users bother to find out this little nugget - 2.6 Kernels in Fedora ship with ECN enabled. Huh? What's ECN? It's Explicit Congestion Notification, nicely overviewed here by Peter Samuelson, and it helps hosts to more efficiently negotiate just how many bits they can ram down each other's throats without going backwards. The problem is that some crappy firewalls and routers (ie, outdated and bad, or just bad) will drop packets that have ECN enabled on them. They shouldn't, but they do. There are two ways to get around this:

Building Rosegarden (maybe other Qt apps) on x86_64 / Fedora Core 1 & FC2

  • Posted on: 6 April 2004
  • By: agittins

Configure/LD fails to find or link to libqt-mt

This is not likely to be useful for anyone on it's own, but nonetheless it's something I had to do on my system to make Rosegarden-4 (a midi sequencer) build on my amd64 system.
Using the planet-ccrma src rpm, configure failed while detecting Qt. Investigation of config.log shows that ld (the linker) is failing to find libqt-mt. On FC1, that's in /usr/lib64/qt-[ver]/lib/, but the config script/ld looked only in /usr/lib64/qt-[ver]/lib64/, which kinda makes sense, but alas there be no library in those waters. Solution:

Pages